うろぐ

インターネットサービス&デジタル家電&デジタルカメラ&パソコンのレビュー

Ig1
先日、HP 2133にインストールをしたMySQL 5.0.67が正常に動作しません。
phpMyAdmin 2.11.9をインストールをしてアクセスしたところ、クライアントが古いのでアップグレードをしてくださいというアナウンスが表示されました。
 

MySQLクライアントサーバが古すぎる

Ig2
設定を変えて何度も再インストールをしたのですが、変化がありません。

不自然なので、test.phpを作成してMySQLの情報を確認したところ、Client API version3.23.49という、信じられないほど古いバージョンとなっていることに驚きました。このバージョンは4、5年前のものです。

MySQL 5.0.67のインストーラーを使ってのインストールですので、インストールする途中でクライアントのバージョンが変わると言うことは考えられません。

となると、MySQLの配布元の間違いとしか考えられません。
現在、配布元から5.0.xは67以外の配布はされていませんので、4.1.xか5.1.xをダウンロードしてからインストールをする以外に、対処方法がありません。

MySQL 4.1.xは文字コードでひどく苦労をさせられたので出来れば使いたくないのですが、新バージョンの5.1.xは未知の部分が多く使うにはまだ早すぎます。
わたしの手元には古いバージョンの3.23.xや4.0.xが手元にあるので、これをインストールするという手もあります。

少し、考えてから再度、MySQLのインストールを行います。

トラックバック先

■この記事を評価して、関連の人気記事もチェック!
★★★★(素晴らしい)
★★★☆(すごい)
★★☆☆(とても良い)
★☆☆☆(良い)
by TREview

この記事はレビューポータル「MONO-PORTAL」にトラックバックしています。

この記事はインプレス 第2回 『HP 2133 Mini-Note PC』モニターコンテストにトラックバックしています。

PR

Img_4516
ヒューレットパッカード・オンラインショップでHP 2133を購入する
楽天市場でHP 2133を探す
YahooショッピングでHP 2133を探す

1月 29th, 2009

Posted In: サーバ環境のインストール

コメントを残す

メールアドレスが公開されることはありません。 * が付いている欄は必須項目です